<html>
<head>
	<title>Merge sort</title>
</head>
<body>
</body>
	<script type="text/javascript">
		let n=Number(prompt("enter the number of elememts "))
			let unsortedArray=new Array()
		for(let i=0;i<n;i++)
		{
			unsortedArray.push(Number(prompt("enter the element")))
		} 
function mergeSort (unsortedArray) {
  if (unsortedArray.length <= 1) {
    return unsortedArray;
  }
  const middle = Math.floor(unsortedArray.length / 2);

  const left = unsortedArray.slice(0, middle);
  const right = unsortedArray.slice(middle);

  return merge(
    mergeSort(left), mergeSort(right)
  );
}

function merge (left, right)
 {
  let resultArray = [], leftIndex = 0, rightIndex = 0;
  while (leftIndex < left.length && rightIndex < right.length) 
  {
    if (left[leftIndex] < right[rightIndex]) 
    {
      resultArray.push(left[leftIndex]);
      leftIndex++; 
    } 
    else 
    {
      resultArray.push(right[rightIndex]);
			rightIndex++; 
    }
  }
 return resultArray
          .concat(left.slice(leftIndex))
          .concat(right.slice(rightIndex));
}
alert(mergeSort(unsortedArray))
	</script>
	</html>